diff --git a/sources/src/cz/zcu/kiv/offscreen/graph/efp/EfpComparison.java b/sources/src/cz/zcu/kiv/offscreen/graph/efp/EfpComparison.java
index 3a2ec04..ac0b58c 100644
--- a/sources/src/cz/zcu/kiv/offscreen/graph/efp/EfpComparison.java
+++ b/sources/src/cz/zcu/kiv/offscreen/graph/efp/EfpComparison.java
@@ -1,88 +1,88 @@
-package cz.zcu.kiv.offscreen.graph.efp;
-
-import org.apache.log4j.Logger;
-
-/**
- * 
- * Holds data of EFP comparison relation.
- * 
- * @author Jiri Loudil
- * 
- */
-public class EfpComparison {
-	
-	/**
-	 * Status of the EFP cmp. OK, MISSING, etc.
-	 */
-	private String comparisonStatus;
-
-	/**
-	 * Name of the EFP cmp.
-	 */
-	private String efpName;
-	
-	/**
-	 * Values of the left and right side of cmp. relation.
-	 */
-	private String leftEfpValue, rightEfpValue;
-	
-	/**
-	 * Name of the type used for the EFP cmp. relation.
-	 */
-	private String typeName;
-
-	/**
-	 * Logging.
-	 */
-	private Logger logger = Logger.getLogger(EfpComparison.class);
-
-	/**
-	 * Construct new relation.
-	 */
-	public EfpComparison() {
-		logger.trace("ENTRY");
-
-		logger.trace("EXIT");
-	}
-
-	public String getComparisonStatus() {
-		return comparisonStatus;
-	}
-
-	public void setComparisonStatus(String comparisonStatus) {
-		this.comparisonStatus = comparisonStatus;
-	}
-
-	public String getTypeName() {
-		return typeName;
-	}
-
-	public void setTypeName(String typeName) {
-		this.typeName = typeName;
-	}
-
-	public String getLeftEfpValue() {
-		return leftEfpValue;
-	}
-
-	public void setLeftEfpValue(String leftEfpValue) {
-		this.leftEfpValue = leftEfpValue;
-	}
-
-	public String getRightEfpValue() {
-		return rightEfpValue;
-	}
-
-	public void setRightEfpValue(String rightEfpValue) {
-		this.rightEfpValue = rightEfpValue;
-	}
-
-	public String getEfpName() {
-		return efpName;
-	}
-
-	public void setEfpName(String efpName) {
-		this.efpName = efpName;
-	}
-
-}
+//package cz.zcu.kiv.offscreen.graph.efp;
+//
+//import org.apache.log4j.Logger;
+//
+///**
+// *
+// * Holds data of EFP comparison relation.
+// *
+// * @author Jiri Loudil
+// *
+// */
+//public class EfpComparison {
+//
+//	/**
+//	 * Status of the EFP cmp. OK, MISSING, etc.
+//	 */
+//	private String comparisonStatus;
+//
+//	/**
+//	 * Name of the EFP cmp.
+//	 */
+//	private String efpName;
+//
+//	/**
+//	 * Values of the left and right side of cmp. relation.
+//	 */
+//	private String leftEfpValue, rightEfpValue;
+//
+//	/**
+//	 * Name of the type used for the EFP cmp. relation.
+//	 */
+//	private String typeName;
+//
+//	/**
+//	 * Logging.
+//	 */
+//	private Logger logger = Logger.getLogger(EfpComparison.class);
+//
+//	/**
+//	 * Construct new relation.
+//	 */
+//	public EfpComparison() {
+//		logger.trace("ENTRY");
+//
+//		logger.trace("EXIT");
+//	}
+//
+//	public String getComparisonStatus() {
+//		return comparisonStatus;
+//	}
+//
+//	public void setComparisonStatus(String comparisonStatus) {
+//		this.comparisonStatus = comparisonStatus;
+//	}
+//
+//	public String getTypeName() {
+//		return typeName;
+//	}
+//
+//	public void setTypeName(String typeName) {
+//		this.typeName = typeName;
+//	}
+//
+//	public String getLeftEfpValue() {
+//		return leftEfpValue;
+//	}
+//
+//	public void setLeftEfpValue(String leftEfpValue) {
+//		this.leftEfpValue = leftEfpValue;
+//	}
+//
+//	public String getRightEfpValue() {
+//		return rightEfpValue;
+//	}
+//
+//	public void setRightEfpValue(String rightEfpValue) {
+//		this.rightEfpValue = rightEfpValue;
+//	}
+//
+//	public String getEfpName() {
+//		return efpName;
+//	}
+//
+//	public void setEfpName(String efpName) {
+//		this.efpName = efpName;
+//	}
+//
+//}
diff --git a/sources/src/cz/zcu/kiv/offscreen/graph/efp/EfpFeature.java b/sources/src/cz/zcu/kiv/offscreen/graph/efp/EfpFeature.java
index d91dbdb..0af9b5b 100644
--- a/sources/src/cz/zcu/kiv/offscreen/graph/efp/EfpFeature.java
+++ b/sources/src/cz/zcu/kiv/offscreen/graph/efp/EfpFeature.java
@@ -1,72 +1,72 @@
-package cz.zcu.kiv.offscreen.graph.efp;
-
-import java.util.ArrayList;
-
-import org.apache.log4j.Logger;
-
-/**
- * 
- * Holds data of a feature used in EFP relation.
- * 
- * @author Jiri Loudil
- *
- */
-public class EfpFeature {
-	
-	/**
-	 * Name of the feature.
-	 */
-	private String name = "";
-	
-	/**
-	 * List of EFPs connected to this particular feature.
-	 */
-	private ArrayList<EfpComparison> efps;
-	
-	/**
-	 * Status of the feture. OK, MISSING, etc.
-	 */
-	private String featureStatus = "";
-	
-	/**
-	 * Logging.
-	 */
-	private Logger logger = Logger.getLogger(EfpFeature.class);
-
-	/**
-	 * 
-	 * Construct new named feature.
-	 * 
-	 * @param name New feature name.
-	 */
-	public EfpFeature(String name) {
-		logger.trace("ENTRY");
-		this.name = name;
-		
-		this.efps = new ArrayList<EfpComparison>();
-		this.featureStatus = "";
-		
-		logger.trace("EXIT");
-	}
-
-	public ArrayList<EfpComparison> getEfps() {
-		return efps;
-	}
-
-	public String getFeatureStatus() {
-		return featureStatus;
-	}
-
-	public void setFeatureStatus(String featureStatus) {
-		this.featureStatus = featureStatus;
-	}
-
-	public String getName() {
-		return name;
-	}
-
-	public void setName(String name) {
-		this.name = name;
-	}
-
-}
+//package cz.zcu.kiv.offscreen.graph.efp;
+//
+//import java.util.ArrayList;
+//
+//import org.apache.log4j.Logger;
+//
+///**
+// *
+// * Holds data of a feature used in EFP relation.
+// *
+// * @author Jiri Loudil
+// *
+// */
+//public class EfpFeature {
+//
+//	/**
+//	 * Name of the feature.
+//	 */
+//	private String name = "";
+//
+//	/**
+//	 * List of EFPs connected to this particular feature.
+//	 */
+//	private ArrayList<EfpComparison> efps;
+//
+//	/**
+//	 * Status of the feture. OK, MISSING, etc.
+//	 */
+//	private String featureStatus = "";
+//
+//	/**
+//	 * Logging.
+//	 */
+//	private Logger logger = Logger.getLogger(EfpFeature.class);
+//
+//	/**
+//	 *
+//	 * Construct new named feature.
+//	 *
+//	 * @param name New feature name.
+//	 */
+//	public EfpFeature(String name) {
+//		logger.trace("ENTRY");
+//		this.name = name;
+//
+//		this.efps = new ArrayList<EfpComparison>();
+//		this.featureStatus = "";
+//
+//		logger.trace("EXIT");
+//	}
+//
+//	public ArrayList<EfpComparison> getEfps() {
+//		return efps;
+//	}
+//
+//	public String getFeatureStatus() {
+//		return featureStatus;
+//	}
+//
+//	public void setFeatureStatus(String featureStatus) {
+//		this.featureStatus = featureStatus;
+//	}
+//
+//	public String getName() {
+//		return name;
+//	}
+//
+//	public void setName(String name) {
+//		this.name = name;
+//	}
+//
+//}
diff --git a/sources/src/cz/zcu/kiv/offscreen/graph/loader/JSONConfigLoader.java b/sources/src/cz/zcu/kiv/offscreen/graph/loader/JSONConfigLoader.java
index 5a6faa1..cfb0e28 100644
--- a/sources/src/cz/zcu/kiv/offscreen/graph/loader/JSONConfigLoader.java
+++ b/sources/src/cz/zcu/kiv/offscreen/graph/loader/JSONConfigLoader.java
@@ -1,6 +1,6 @@
 package cz.zcu.kiv.offscreen.graph.loader;
 
-import cz.zcu.kiv.offscreen.AttributeType;
+import cz.zcu.kiv.offscreen.graph.AttributeType;
 import cz.zcu.kiv.offscreen.graph.EdgeArchetypeInfo;
 import cz.zcu.kiv.offscreen.graph.GraphManager;
 import cz.zcu.kiv.offscreen.graph.filter.*;
@@ -11,7 +11,6 @@ import org.apache.commons.io.FileUtils;
 import java.io.File;
 import java.io.IOException;
 import java.math.BigDecimal;
-import java.text.ParseException;
 import java.text.ParsePosition;
 import java.text.SimpleDateFormat;
 import java.util.*;
@@ -377,4 +376,18 @@ public class JSONConfigLoader {
 
         return defaultGroupArchetypes;
     }
+
+    /**
+     * Loads default group archetypes and return them in a list.
+     * @return list of archetypes.
+     */
+    public List<String> loadGroupArchetypesStrings(){
+        List<String> groupArchetypes = new ArrayList<>();
+
+        JSONArray defaultGroupArchetypesJson = json.getJSONArray("defaultGroupArchetypes");
+        for (Object jsonItem : defaultGroupArchetypesJson) {
+            groupArchetypes.add(jsonItem.toString());
+        }
+        return groupArchetypes;
+    }
 }
diff --git a/sources/src/cz/zcu/kiv/offscreen/loader/configuration/ConfigurationLoader.java b/sources/src/cz/zcu/kiv/offscreen/loader/configuration/ConfigurationLoader.java
index b785824..3c1ff2d 100644
--- a/sources/src/cz/zcu/kiv/offscreen/loader/configuration/ConfigurationLoader.java
+++ b/sources/src/cz/zcu/kiv/offscreen/loader/configuration/ConfigurationLoader.java
@@ -1,7 +1,5 @@
 package cz.zcu.kiv.offscreen.loader.configuration;
 
-import org.apache.log4j.Logger;
-
 import java.io.IOException;
 import javax.servlet.ServletContext;
 
diff --git a/sources/src/cz/zcu/kiv/offscreen/servlets/LoadGraphData.java b/sources/src/cz/zcu/kiv/offscreen/servlets/LoadGraphData.java
index 076faa4..17526b4 100644
--- a/sources/src/cz/zcu/kiv/offscreen/servlets/LoadGraphData.java
+++ b/sources/src/cz/zcu/kiv/offscreen/servlets/LoadGraphData.java
@@ -1,22 +1,8 @@
 package cz.zcu.kiv.offscreen.servlets;
 
-import java.io.File;
-import java.io.IOException;
-import java.io.InputStream;
-import java.io.PrintWriter;
-import javax.servlet.ServletException;
-import javax.servlet.http.HttpServlet;
-import javax.servlet.http.HttpServletRequest;
-import javax.servlet.http.HttpServletResponse;
-
-import cz.zcu.kiv.ccu.ApiCheckersFactory;
-import cz.zcu.kiv.ccu.ApiCheckersSetting;
-import cz.zcu.kiv.ccu.ApiInterCompatibilityChecker;
-import cz.zcu.kiv.ccu.ApiInterCompatibilityResult;
-import cz.zcu.kiv.offscreen.api.GraphInterface;
-import cz.zcu.kiv.offscreen.graph.GraphExport;
+import cz.zcu.kiv.offscreen.graph.Graph;
+import cz.zcu.kiv.offscreen.api.GraphExport;
 import cz.zcu.kiv.offscreen.graph.GraphManager;
-import cz.zcu.kiv.offscreen.graph.creator.GraphMaker;
 import cz.zcu.kiv.offscreen.graph.loader.DemoDiagramLoader;
 import cz.zcu.kiv.offscreen.graph.loader.GraphJSONDataLoader;
 import cz.zcu.kiv.offscreen.graph.loader.JSONConfigLoader;
@@ -25,6 +11,13 @@ import cz.zcu.kiv.offscreen.session.SessionManager;
 import cz.zcu.kiv.offscreen.storage.FileManager;
 import net.sf.json.JSONObject;
 
+import javax.servlet.http.HttpServlet;
+import javax.servlet.http.HttpServletRequest;
+import javax.servlet.http.HttpServletResponse;
+import java.io.File;
+import java.io.IOException;
+import java.io.InputStream;
+
 /**
  * @author Jindra Pavlíková <jindra.pav2@seznam.cz>
  */
@@ -35,7 +28,7 @@ public class LoadGraphData extends HttpServlet {
      * graph is returned as JSON in response body.
      */
     @Override
-    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
+    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException {
         // initialize file manager
         String workingDirectory;
         if (request.getParameter("diagram_hash") == null) {
@@ -64,7 +57,7 @@ public class LoadGraphData extends HttpServlet {
                 GraphManager graphManager = new GraphJSONDataLoader(fileToDisplay).LoadData();
                 String configLocation = ConfigurationLoader.getConfigLocation(request.getServletContext());
                 JSONConfigLoader configLoader = new JSONConfigLoader(graphManager, configLocation);
-                GraphInterface graph = graphManager.createGraph(configLoader);
+                Graph graph = graphManager.createGraph(configLoader);
                 GraphExport export = new GraphExport(graph);
                 JSONObject json = JSONObject.fromObject(export);
 
